#!/bin/bash
# IBM Confidential
# OCO Source Materials
# 5724-V51
#
# (c) Copyright IBM Corp. 2000, 2008 All Rights Reserved.
#
# The source code for this program is not published or otherwise
# divested of its trade secrets, irrespective of what has been
# deposited with the U.S. Copyright Office.
# Sachin Prasad
# usage: checkForCompileError.sh --company_code=<code> --script_dir=<path/to/script/directory> --logfile=<logfile path>

. ${TOP}/bin/get_params.sh

function printUsage()
{
	${ECHO} COMMON_INFO_USAGE_SH " checkChangedScriptOps.sh --use_docstore=<yes/no> --company_code=<code> --src_path=<path/to/script/directory> --dst_path=<path/to/destination/directory> --logfile=<logfile path>"
}

if [ -z ${_CCD_USE_DOCSTORE} ]; then
    printUsage
    exit
fi

if [ -z ${_CCD_DST_PATH} ]; then
    ${ECHO} COMMON_INFO_CHANGEDSCRIPTOP_CONFIMATION_SH 
   read res
   if [ "$res" = "no" ]; then
       ${ECHO} COMMON_INFO_CHANGEDSCRIPTOP_ABORTING_SH 
       exit
   fi
fi


${ECHO} "============================================================"
$JAVA_RT -Xmx1024m -Xms1024m com.ibm.ccd.common.interpreter.test.ScriptOpChangesLister --use_docstore=${_CCD_USE_DOCSTORE} --companycode=${_CCD_COMPANY_CODE} --src_path=${_CCD_SRC_PATH} --dst_path=${_CCD_DST_PATH} --logfile=${_CCD_LOGFILE} 
${ECHO} 
${ECHO} "============================================================"

