#!/bin/bash
# IBM Confidential
# OCO Source Materials
# 5724-V51
#
# (c) Copyright IBM Corp. 2000, 2008 All Rights Reserved.
#
# The source code for this program is not published or otherwise
# divested of its trade secrets, irrespective of what has been
# deposited with the U.S. Copyright Office.
# Abhishek Banugaria
# usage: checkForCompileError.sh --company_code=<code> --script_dir=<path/to/script/directory> --logfile=<logfile path>

. ${TOP}/bin/get_params.sh

function printUsage()
{
	${ECHO} "Usage : checkForCompileError.sh --use_docstore=<yes/no> --company_code=<code> --script_dir=<path/to/script/directory> --logfile=<logfile path>"
}

if [ -z ${_CCD_USE_DOCSTORE} ]; then
    printUsage
    exit
fi

if [ ${_CCD_USE_DOCSTORE} = 'yes' ]; then
    
    if [ -z  ${_CCD_COMPANY_CODE} ]; then
    	printUsage
    	exit
	fi
fi


if [ -z  ${_CCD_LOGFILE} ]; then
    printUsage
    exit
fi


${ECHO} "============================================================"
$JAVA_RT -Xmx1024m -Xms1024m com.ibm.ccd.common.interpreter.test.ScriptVerifier --use_docstore=${_CCD_USE_DOCSTORE} --companycode=${_CCD_COMPANY_CODE} --scriptdir=${_CCD_SCRIPT_DIR} --logfile=${_CCD_LOGFILE} 
${ECHO} 
${ECHO} "Entire log is written to '${_CCD_LOGFILE}'"
${ECHO} "============================================================"

