#!/bin/bash

# IBM Confidential
# OCO Source Materials
# 5724-V51
#
# (c) Copyright IBM Corp. 2000, 2008 All Rights Reserved.
#
# The source code for this program is not published or otherwise
# divested of its trade secrets, irrespective of what has been
# deposited with the U.S. Copyright Office.
# This script adds $JARDIR/ccd_aspects.jar to the front of the CLASSPATH variable so that classes with aspects woven in them are loaded

TRACE_ENABLED=`${GREP} '^ *trace' ${CCD_ETC_DIR}/default/common.properties | cut -f2 -d "="`
LOG_FILE=${TOP}/logs/appsvr_${SHORT_HOSTNAME}/svc.out

case "${TRACE_ENABLED}" in
    on)
	TO_FIND="-classpath "
	REPLACE="-classpath ${TOP}/jars/ccd_trace_aspects.jar$PATH_SEPARATOR"
	OPTS=`${ECHO} ${JAVA_RT_HOTSPOT} | ${SED} -e "s#${TO_FIND}#${REPLACE}#g"`
	#echo $OPTS
	export JAVA_RT_HOTSPOT=$OPTS

	if [ "$1" = "appsvr" ]; then
	   if [ "$CCD_APPSVR" = "websphere6" ]; then
		${ECHO} "Begin: Enabling trace for Application Server" >> $LOG_FILE
		${WAS_PROFILE_HOME}/bin/wsadmin.sh -conntype none -f $TOP/bin/websphere/modify_server_classpath.jacl $WAS_NODENAME $WAS_APPSERVERNAME add_before ${TOP}/jars/ccd_trace_aspects.jar >> $LOG_FILE
		
		${ECHO} "End: Enabling trace for Application Server" >> $LOG_FILE
	   fi
	fi
	;;
    off)
        TO_FIND="${TOP}/jars/ccd_trace_aspects.jar$PATH_SEPARATOR"
        REPLACE=""
        OPTS=`${ECHO} ${JAVA_RT_HOTSPOT} | ${SED} -e "s#${TO_FIND}#${REPLACE}#g"`
	export JAVA_RT_HOTSPOT=$OPTS
	
	if [ "$1" = "appsvr" ]; then
	   if [ "$CCD_APPSVR" = "websphere6" ]; then

		${ECHO} "Begin: Disabling trace for Application Server" >> $LOG_FILE
		${WAS_PROFILE_HOME}/bin/wsadmin.sh -conntype none -f $TOP/bin/websphere/modify_server_classpath.jacl $WAS_NODENAME $WAS_APPSERVERNAME remove ${TOP}/jars/ccd_trace_aspects.jar >> $LOG_FILE

		${ECHO} "End: Disbling trace for Application Server" >> $LOG_FILE
	   fi
	fi
	;;
esac
