#!/bin/bash
# IBM Confidential
# OCO Source Materials
# 5724-V51
#
# (c) Copyright IBM Corp. 2000, 2008 All Rights Reserved.
#
# The source code for this program is not published or otherwise
# divested of its trade secrets, irrespective of what has been
# deposited with the U.S. Copyright Office.

if [ -z "${CCD_APPSVR}" ]; then
    ${ECHO} "Error!: CCD_APPSVR environment variable is not set."
else
    APPSVR_DIR=${JAVA_SRCDIR}/com/ibm/ccd/common/appsvr/${CCD_APPSVR}
    CURRENT_APPSVR_DIR=${JAVA_SRCDIR}/com/ibm/ccd/common/appsvr/current
    MAKEFILE=${JAVA_SRCDIR}/com/ibm/ccd/common/appsvr/makefile

    if [ "${OS}" = "Windows_NT" ]; then
        echo "Apply cygwin file permissions hacks"
        # Sometimes under cygwin it might have permissions 000
        if [ -d ${CURRENT_APPSVR_DIR} ]; then
            chmod -R 700 ${CURRENT_APPSVR_DIR}
        fi
        ${RM} ${CURRENT_APPSVR_DIR}
        ${MKDIR} ${CURRENT_APPSVR_DIR}
        # Sometimes cygwin makes it with permissions 000
        chmod 700 ${CURRENT_APPSVR_DIR}

        ${CP} -R ${APPSVR_DIR}/* ${CURRENT_APPSVR_DIR}
        # Sometimes under cygwin the copied dirs and files have permissions 000
        find ${CURRENT_APPSVR_DIR} -type d -exec chmod 700 {} \;
        find ${CURRENT_APPSVR_DIR} -type f -exec chmod 500 {} \;

        find ${CURRENT_APPSVR_DIR} -name CVS -type d | xargs ${RM}
        find ${CURRENT_APPSVR_DIR} -type d -exec ${CP} ${MAKEFILE} {} \;
        # Sometimes under cygwin the copied makefiles have permissions 000
        find ${CURRENT_APPSVR_DIR} -type d -exec chmod 500 {}/makefile \;
    else
        ${RM} ${CURRENT_APPSVR_DIR}
        ${MKDIR} ${CURRENT_APPSVR_DIR}

        ${CP} -R ${APPSVR_DIR}/* ${CURRENT_APPSVR_DIR}

        find ${CURRENT_APPSVR_DIR} -name CVS -type d | xargs ${RM}
        find ${CURRENT_APPSVR_DIR} -type d -exec ${CP} ${MAKEFILE} {} \;
    fi
fi
