#!/bin/bash
# IBM Confidential
# OCO Source Materials
# 5724-V51
#
# (c) Copyright IBM Corp. 2000, 2008 All Rights Reserved.
#
# The source code for this program is not published or otherwise
# divested of its trade secrets, irrespective of what has been
# deposited with the U.S. Copyright Office.
# Sachin Prasad
# Trigo Technologies

# usage: exportCompany --company_code=<code> --script_path=<path/to/trigo/script>

. ${TOP}/bin/get_params.sh

if [ -z ${_CCD_COMPANY_CODE} ]; then
    ${ECHO} COMMON_INFO_USAGE_SH " exportCompanyAsZip.sh --company_code=<code> --script_path=<path/to/trigo/script>"
    exit
fi

if [ -z ${_CCD_SCRIPT_PATH} ]; then
    ${ECHO} COMMON_INFO_USAGE_SH " exportCompanyAsZip.sh --company_code=<code> --script_path=<path/to/trigo/script>"
    exit
fi

if [ ! -e ${_CCD_SCRIPT_PATH} ]; then
    ${ECHO} COMMON_ERROR_INVALID_SCRIPT_PATH_SH
    exit
fi

if [ -e ./exportCompany.log ]; then 
    ${ECHO} COMMON_INFO_ISEXPORTLOGOVERWRITE_SH
   read res
   if [ "$res" = "n" ]; then
       ${ECHO} COMMON_INFO_ABORTING_SH
       exit
   fi
fi

touch exportCompany.log
${ECHO} "============================================================"
$JAVA_RT com.ibm.ccd.envexpimp.common.EnvironmentExporter -companycode=${_CCD_COMPANY_CODE} -scriptpath=${_CCD_SCRIPT_PATH} | tee exportCompany.log
${ECHO} 
${ECHO} COMMON_INFO_LOGFILECREATED_SH " `pwd`/exportCompany.log"
${ECHO} "============================================================"

