#!/bin/bash
# IBM Confidential
# OCO Source Materials
# 5724-V51
#
# (c) Copyright IBM Corp. 2000, 2008 All Rights Reserved.
#
# The source code for this program is not published or otherwise
# divested of its trade secrets, irrespective of what has been
# deposited with the U.S. Copyright Office.
# Sachin Prasad
# Trigo Technologies

# usage: importCompany --company_code=<code> --zipfile_path=<path/to/import/archive>

. ${TOP}/bin/get_params.sh

if [ -z ${_CCD_COMPANY_CODE} ]; then
    ${ECHO} COMMON_INFO_USAGE_SH " importCompanyFromZip.sh --company_code=<code> --zipfile_path=<path/to/import/archive>"
    exit
fi

if [ -z ${_CCD_ZIPFILE_PATH} ]; then
    ${ECHO} COMMON_INFO_USAGE_SH " importCompanyFromZip.sh --company_code=<code> --zipfile_path=<path/to/import/archive>"
    exit
fi


if [ ! -e ${_CCD_ZIPFILE_PATH} ]; then
    ${ECHO} COMMON_ERROR_INVALID_ARCHIVE_PATH_SH
    exit
fi

#FIX for CR 21775
#Removing verification of zip file integrity as certain system might not be having zip utility installed
#zip -T ${_CCD_ZIPFILE_PATH} 1>/dev/null 2>/dev/null

#if [ $? -ne 0 ]; then 
#   echo "The specified archive file [ ${_CCD_ZIPFILE_PATH} ] is corrupted"
#   exit 
#fi

if [ -e ./importCompany.log ]; then 
    ${ECHO} COMMON_INFO_ISIMPORTLOGOVERWRITE_SH
   read res
   if [ "$res" = "n" ]; then
       ${ECHO} COMMON_INFO_ABORTING_SH
       exit
   fi
fi

touch importCompany.log
${ECHO} "============================================================"
$JAVA_RT com.ibm.ccd.envexpimp.common.EnvironmentImporter -companycode=${_CCD_COMPANY_CODE} -zipfilepath=${_CCD_ZIPFILE_PATH} | tee importCompany.log
${ECHO} 
${ECHO} COMMON_INFO_LOGFILECREATED_SH " `pwd`/importCompany.log"
${ECHO} "============================================================"
