#!/bin/bash
# IBM Confidential
# OCO Source Materials
# 5724-V51
#
# (c) Copyright IBM Corp. 2000, 2008 All Rights Reserved.
#
# The source code for this program is not published or otherwise
# divested of its trade secrets, irrespective of what has been
# deposited with the U.S. Copyright Office.

# Sachin Prasad
# Symphony services

# usage: load.sh --company_code=<code> --folder_path=<directory path>

. ${TOP}/bin/get_params.sh

usage="usage: load.sh --company_code=<code> --folder_path=<directory path>"
extension=".zip"

if [ -z ${_CCD_COMPANY_CODE} ]; then
    echo "Company code not specified"
    echo $usage
    exit
fi

 

if [ -z ${_CCD_FOLDER_PATH} ]; then
    echo "Folder Path not specified"
    echo $usage
    exit
fi


ls ${_CCD_FOLDER_PATH} 2> /dev/null 1> /dev/null 
if [ $? -ne 0 ]; then 
   echo "The specified Folder ${_CCD_FOLDER_PATH} does not exist"
   exit 1
fi


echo "============================================================"
echo "+++++ Compressing ${_CCD_FOLDER_PATH}"
cd ${_CCD_FOLDER_PATH}
zip -r * archives
echo
echo "+++++ Importing to company ${_CCD_COMPANY_CODE}"
$JAVA_RT com.ibm.ccd.envexpimp.common.EnvironmentImporter -companycode="${_CCD_COMPANY_CODE}" -zipfilepath=archives.zip
echo "+++++ Deleting zip from local drive"
rm archives.zip
cd -
echo "============================================================"
