#!/bin/bash
# IBM Confidential
# OCO Source Materials
# 5724-V51
#
# (c) Copyright IBM Corp. 2000, 2008 All Rights Reserved.
#
# The source code for this program is not published or otherwise
# divested of its trade secrets, irrespective of what has been
# deposited with the U.S. Copyright Office.
# source this file to init trigo shell variables

if [ -z "$TOP" ]; then
    ${ECHO} "Error!: TOP environment variable is not set."
fi


#--------------------------------------------------------------------------------
# basic shell variables
#--------------------------------------------------------------------------------

export CP=cp
export RM="rm -rf"
export ECHO=echo
export TOUCH=touch
export MKDIR="mkdir -p"
export TR=tr
export GREP=grep
export AWK=awk
export SED=sed
export CAT=cat
export BC=bc
export MV=mv
export CUT=cut

[ `uname` = "SunOS" ] && export AWK=nawk


#--------------------------------------------------------------------------------
# java
#--------------------------------------------------------------------------------

# home of your java jdk
export JDK_HOME=/usr/local/jdk1.4


#--------------------------------------------------------------------------------
# db server
#--------------------------------------------------------------------------------

export CCD_DB=oracle
export ORACLE_JDBC_DRIVER=${ORACLE_HOME}/jdbc/lib/ojdbc5.jar
export LD_LIBRARY_PATH=${ORACLE_HOME}/lib


#--------------------------------------------------------------------------------
# app server
#--------------------------------------------------------------------------------

export CCD_APPSVR=weblogic92



# home of weblogic
export WL_HOME=/usr/local/bea/weblogic92

# home of weblogic InfoSphere MDM Server for PIM domain
# (the best way is to actually use an already
# defined variables, such as $TOP or $WL_HOME)
export CCD_WL_DOMAIN_DIR=$CCD_ETC_DIR/default/weblogic92/wpc_domain

# domain defined in the config.xml file
# (Name attribute of the Domain node)
# (ex: <Domain Name="wpc_domain">)
export CCD_WL_DOMAIN=wpc_domain

# server defined in the config.xml file
# (Name attribute of the Server node)
# (ex: <Server Name="wpc_server"...)
export CCD_WL_SERVER=wpc_server

# password to start the weblogic server
export CCD_WL_PW=
# user to start the weblogic server
export CCD_WL_USER=

# port on which the Admin server runs
export WL_ADMIN_PORT=7001






#--------------------------------------------------------------------------------
# modules memory flags
#--------------------------------------------------------------------------------

# to add more memory to a module, change the memory flag
# variable for this module
# the default values are given for the Sun jdk
# if using the IBM jdk, remove the X character e.g. '-mx64m -ms48m'

export ADMIN_MEMORY_FLAG='-Xmx64m -Xms64m'
export APPSVR_MEMORY_FLAG='-Xmx1024m -Xms256m -XX:MaxPermSize=1024m'
export EVENTPROCESSOR_MEMORY_FLAG='-Xmx64m -Xms48m'
export QUEUEMANAGER_MEMORY_FLAG='-Xmx64m -Xms64m'
export SCHEDULER_MEMORY_FLAG='-Xmx1024m -Xms256m'
export WORKFLOWENGINE_MEMORY_FLAG='-Xmx1024m -Xms64m'


#--------------------------------------------------------------------------------
# jars
#--------------------------------------------------------------------------------

# directory where jars are kept
export JARDIR=$TOP/jars

#--------------------------------------------------------------------------------
# ccd.rc
#--------------------------------------------------------------------------------

CCD_RC=$TOP/setup/ccd.rc
if [ -f "$CCD_RC" ]; then
    . $CCD_RC
else
    ${ECHO} "Error!: file '$TOP/setup/ccd.rc' not found"
fi


