#!/bin/bash

# IBM Confidential
# OCO Source Materials
# 5724-V51
#
# (c) Copyright IBM Corp. 2000, 2008 All Rights Reserved.
#
# The source code for this program is not published or otherwise
# divested of its trade secrets, irrespective of what has been
# deposited with the U.S. Copyright Office.

echo "File difference for TOP=${TOP}"
echo "  - an empty output means that all the files are present"
echo "  - lines starting with '<' refer to files added after the installation"
echo "  - lines starting with '>' refer to files missing from the installation"
echo

#building filelists
cd ${TOP}
LIST1=${TOP}/logs/install_filelist1.txt
LIST2=${TOP}/logs/install_filelist2.txt
find .|grep -v '\./logs/install_filelist.\.txt'|sort > ${LIST1}
sort ${TOP}/setup/filelist.txt > ${LIST2}

RES=`diff ${LIST1} ${LIST2}`

if [ "${RES}" = "" ]; then
    echo "status: perfect, all the trigo files are present."
else
    echo "status: extra files have been added/removed"
    echo "        from the default installation file list."

    diff ${LIST1} ${LIST2}
fi

#cleaning up
rm -rf ${LIST1}
rm -rf ${LIST2}
