<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

  <xsl:template match="/ | @* | node()">
    <xsl:copy>
      <xsl:apply-templates select="@* | node()"/>
    </xsl:copy>
  </xsl:template>

<xsl:template match="StorePath">
    <xsl:choose>
      <xsl:when test="starts-with(string(.), '/scripts/workflow/')">
	<xsl:choose>
		<xsl:when test="substring-before(string(.),'/Success') != ''">
			<xsl:variable name="prefixStr" select="concat(substring-before(string(.),'/Success'),'/SUCCESS')"/>
			 <StorePath>
			 <xsl:copy-of select="$prefixStr" />
			 </StorePath>
		</xsl:when>
		<xsl:when test="substring-before(string(.),'/Initial') != ''">
			<xsl:variable name="prefixStr" select="concat(substring-before(string(.),'/Initial'),'/INITIAL')"/>
			 <StorePath>
			 <xsl:copy-of select="$prefixStr" />
			 </StorePath>
		</xsl:when>
		<xsl:when test="substring-before(string(.),'/Failure') != ''">
			<xsl:variable name="prefixStr" select="concat(substring-before(string(.),'/Failure'),'/FAILURE')"/>
			 <StorePath>
			 <xsl:copy-of select="$prefixStr" />
			 </StorePath>
		</xsl:when>
		<xsl:when test="substring-before(string(.),'/Fixit') != ''">
			<xsl:variable name="prefixStr" select="concat(substring-before(string(.),'/Fixit'),'/FIXIT')"/>
			 <StorePath>
			 <xsl:copy-of select="$prefixStr" />
			 </StorePath>
		</xsl:when>
		<xsl:otherwise>
			<xsl:variable name="prefixStr" select="string(.)"/>
			 <StorePath>
			 <xsl:copy-of select="$prefixStr" />
			 </StorePath>
		</xsl:otherwise>
	</xsl:choose>
      </xsl:when>
      <xsl:otherwise>
        <xsl:element name="StorePath">
          <xsl:value-of select="."/>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>	
  </xsl:template>

  <xsl:template match="DocListXML/Doc">
	<xsl:choose>
	      <xsl:when test="StorePath='/scripts/import/ctg/environment_catalog_content_import.script' 
	      or StorePath='/scripts/import/ctr/environment_category_tree_content_import.script'
	      or StorePath='/scripts/logout/Logout.wpcs'
	      or StorePath='/scripts/login/Login.wpcs'
	      or StorePath='/scripts/triggers/LDAPLibrary.wpcs'
	      or StorePath='/scripts/triggers/LdapLibraryLogger.wpcs'">
	      <xsl:comment>
		//Fix for WPC00022196,WPC00022237  skipping  <xsl:value-of select="StorePath"/>
	      </xsl:comment>
			
	      </xsl:when>
	<xsl:otherwise>
      		<xsl:copy>
        		<xsl:apply-templates select="@* | node()"/>
		</xsl:copy>
	</xsl:otherwise>
	</xsl:choose>
  </xsl:template>
</xsl:stylesheet>

