<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

  <xsl:template match="/ | @* | node()">
    <xsl:copy>
      <xsl:apply-templates select="@* | node()"/>
    </xsl:copy>
  </xsl:template>

  <!-- copy attribute collection as an item edit editable view of the step by default -->
  <xsl:template match="AttributesCollections">
    <EditableAttributesCollections>
      <ItemEdit>
      <xsl:for-each select="AttributeCollection">
    	<xsl:element name="AttributeCollection">
      		<xsl:value-of select="."/>
    	</xsl:element>
      </xsl:for-each>         
      </ItemEdit>
    </EditableAttributesCollections>
  </xsl:template>

  <xsl:template match="StepName">
    <xsl:choose>
      <xsl:when test="string(.)='Success'">
        <xsl:element name="StepName">SUCCESS</xsl:element>
      </xsl:when>
      <xsl:when test="string(.)='Initial'">
        <xsl:element name="StepName">INITIAL</xsl:element>
      </xsl:when>
      <xsl:when test="string(.)='Failure'">
        <xsl:element name="StepName">FAILURE</xsl:element>
      </xsl:when>
      <xsl:when test="string(.)='Fixit'">
        <xsl:element name="StepName">FIXIT</xsl:element>
      </xsl:when>
      <xsl:otherwise>
        <xsl:element name="StepName">
          <xsl:value-of select="."/>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>	
  </xsl:template>

<xsl:template match="NextStep">
    <xsl:choose>
      <xsl:when test="string(.)='Success'">
        <xsl:element name="NextStep"><xsl:attribute name="ExitValue"><xsl:value-of select="@ExitValue"/></xsl:attribute>SUCCESS</xsl:element>
      </xsl:when>
      <xsl:when test="string(.)='Initial'">
        <xsl:element name="NextStep"><xsl:attribute name="ExitValue"><xsl:value-of select="@ExitValue"/></xsl:attribute>INITIAL</xsl:element>
      </xsl:when>
      <xsl:when test="string(.)='Failure'">
        <xsl:element name="NextStep"><xsl:attribute name="ExitValue"><xsl:value-of select="@ExitValue"/></xsl:attribute>FAILURE</xsl:element>
      </xsl:when>
      <xsl:when test="string(.)='Fixit'">
        <xsl:element name="NextStep"><xsl:attribute name="ExitValue"><xsl:value-of select="@ExitValue"/></xsl:attribute>FIXIT</xsl:element>
      </xsl:when>
      <xsl:otherwise>
        <xsl:element name="NextStep">
          <xsl:attribute name="ExitValue"><xsl:value-of select="@ExitValue"/></xsl:attribute>
          <xsl:value-of select="."/>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>	
  </xsl:template>
  

  <xsl:template match="StepType">
   <xsl:choose>
      <xsl:when test="string(.)='PARTIAL_UNDO'">
        <xsl:element name="StepType">INTERIM_CHECKOUT</xsl:element>
      </xsl:when>
      <xsl:otherwise>
        <xsl:element name="StepType">
          <xsl:value-of select="."/>
        </xsl:element>
      </xsl:otherwise>
   </xsl:choose>
  </xsl:template>
  
</xsl:stylesheet>
 