#!/bin/bash
# IBM Confidential
# OCO Source Materials
# 5724-V51
#
# (c) Copyright IBM Corp. 2000, 2008 All Rights Reserved.
#
# The source code for this program is not published or otherwise
# divested of its trade secrets, irrespective of what has been
# deposited with the U.S. Copyright Office.
# 
# # Copyright (c) 2000, 2004 IBM Corp. - All Rights Reserved.
# # IBM makes no representations or warranties about the suitability of
# # this program, either express or implied, including but not limited to
# # the implied warranties of merchantability, fitness for a particular
# # purpose, or non-infringement. 
# 
#

#
# example command line invocation:
#
# ./load_category_specific_attributes.sh StaplesLink.com category_spec_pattern.xml attribute_names.txt category_to_attribute_name_map.txt stabani/stabani@spitz 4440001 4 4 item_to_attrib_name_to_attrib_value_map.txt
#

# delete  from spc where spc_id in (select spa_spec_id from spa where spa_name = 'TYPE' and spa_value = 'CTG_SPEC' and spa_next_version_id = 999999999);
#
# delete from nod where nod_spec_id not in (select spc_id from spc);
#
# delete from noa where noa_node_id not in (select nod_id from nod);
#
# delete from ita where ita_node_id not in (select nod_id from nod);
#
# delete from cab where cab_name = 'ITEM_SPEC_ID' and cab_value not in (select spc_id from spc);
#

COMPANY_NAME=${1}
PATTERN_FILE=${2}
ATTRIBUTE_FILE=${3}
CATEGORY_TO_ATTRIBUTE_MAP_FILE=${4}
DB_CONNECTION=${5}
COMPANY_ID=${6}
CATEGORY_TREE_ID=${7}
CATALOG_ID=${8}
ITEM_ATTRIBUTE_FILE=${9}

SPECS_DIRECTORY=generated_category_specs
TEMP_SPEC_FILE_1=${SPECS_DIRECTORY}/tmp1.xml
TEMP_SPEC_FILE_2=${SPECS_DIRECTORY}/tmp2.xml

${RM} ${SPECS_DIRECTORY}
${MKDIR} ${SPECS_DIRECTORY}

for i in `cat ${ATTRIBUTE_FILE} | ${AWK} -F '|' '{gsub("[^A-Za-z0-9_]", "_" , $1);gsub("&", "&amp;" , $1);print $1}'`
do
cat ${PATTERN_FILE} | ${SED} "s/SPEC_NAME_GOES_HERE/${i}/" > ${TEMP_SPEC_FILE_1}
cat ${TEMP_SPEC_FILE_1} | ${SED} "s/ATTRIBUTE_NAME_GOES_HERE/${i}\/${i}/" > ${TEMP_SPEC_FILE_2}
cat ${TEMP_SPEC_FILE_2} | ${SED} "s/COMPANY_NAME_GOES_HERE/${COMPANY_NAME}/" > generated_category_specs/${i}.xml
done

${RM} ${TEMP_SPEC_FILE_1}
${RM} ${TEMP_SPEC_FILE_2}

cd ${SPECS_DIRECTORY}
$JAVA_RT com.ibm.ccd.content.impexp.DatabaseUploader -action=i -debug=n *.xml
cd -

MAP_SQL_COMMAND_FILE=${SPECS_DIRECTORY}/load_cat_name_attr_map.sql

${TOUCH} ${MAP_SQL_COMMAND_FILE}

${ECHO} "drop table cat_name_attr_map;" > ${MAP_SQL_COMMAND_FILE}
${ECHO} "create table cat_name_attr_map (category_name varchar2(300), attribute_name varchar2(300));" >> ${MAP_SQL_COMMAND_FILE}
cat ${CATEGORY_TO_ATTRIBUTE_MAP_FILE} | ${AWK} -F '|' '{gsub("[^A-Za-z0-9_]", "_" , $2);print $1 "|" $2;}' | ${SED} "s/\([^|]*\)|\([^|]*\)/insert into cat_name_attr_map values ( '\1', '\2' );/g" >> ${MAP_SQL_COMMAND_FILE}
${ECHO} "drop table item_attrs;" >> ${MAP_SQL_COMMAND_FILE}
${ECHO} "create table item_attrs (sku varchar2(300), attribute_name varchar2(300), value varchar2(300));" >> ${MAP_SQL_COMMAND_FILE}
cat ${ITEM_ATTRIBUTE_FILE} | ${AWK} -F '|' '{gsub("[^A-Za-z0-9_]", "_" , $2);print $1 "|" $2 "|" $3;}' | ${SED} "s/\([^|]*\)|\([^|]*\)|\([^|]*\)/insert into item_attrs values ( '\1', '\2', '\3' );/g" >> ${MAP_SQL_COMMAND_FILE}



${CCD_SQLPLUS} ${DB_CONNECTION} <<EOF

set define ~;

start ${MAP_SQL_COMMAND_FILE};

drop table cat_id_spec_id_map;

create table cat_id_spec_id_map(cat_id number, spec_id number);

select 'POPULATING cat_id_spec_id_map TABLE' from dual;

insert into cat_id_spec_id_map
select cat_id,
       spc_id
  from tctg_cat_category,
       tctg_spc_specification,
       cat_name_attr_map
 where cat_cat_tree_id = ${CATEGORY_TREE_ID}
   and UPPER(trim(cat_display_name)) = UPPER(trim(cat_name_attr_map.category_name))
   and spc_name = cat_name_attr_map.attribute_name
   and not exists (select 1
                     from chi
                    where chi_cat_tree_id = ${CATEGORY_TREE_ID}
                      and chi_parent_id = cat_id);

select 'LIST OF CATEGORIES WE COULD NOT FIND' from dual;

select distinct
       category_name
  from cat_name_attr_map
 where UPPER(trim(category_name)) not in (select UPPER(trim(cat_display_name))
                                            from tctg_cat_category
                                           where cat_cat_tree_id = ${CATEGORY_TREE_ID});

select 'LIST OF ATTRIBUTES THAT DIFFER BETWEEN THE ATTRIBUTE NAME LIST AND MAP LIST' from dual;

select distinct
       attribute_name
  from cat_name_attr_map
 where attribute_name not in (select spc_name
                                from tctg_spc_specification
                               where spc_company_id = ${COMPANY_ID});

select 'ROWS IN cat_name_attr_map' from dual;

select count(*) from cat_name_attr_map;

select 'ROWS IN cat_id_spec_id_map' from dual;

select count(*) from cat_id_spec_id_map;

drop table tmp_seq;

create table tmp_seq (seq number);

insert into tmp_seq
select qctg_ver_id.nextval from dual;

select 'ASSOCIATING SPECS TO CATEGORIES' from dual;

insert into tctg_cab_category_attributes
select distinct
       ${COMPANY_ID},
       ${CATEGORY_TREE_ID},
       cat_id,
       'ITEM_SPEC_ID',
       spec_id,
       'STRING',
       tmp_seq.seq,
       999999999
  from cat_id_spec_id_map,
       tmp_seq;

drop table item_node_value_map;

create table item_node_value_map(item_id number, node_id number, attr_value varchar2(300));

select 'POPULATING item_node_value_map' from dual;

insert into item_node_value_map
select itm_id,
       nod_id,
       value
  from tctg_itm_item,
       item_attrs,
       tctg_nod_node
 where itm_primary_key = sku
   and itm_company_id = ${COMPANY_ID}
   and itm_container_id = ${CATALOG_ID}
   and itm_next_version_id = 999999999
   and nod_name = attribute_name
   and nod_next_version_id = 999999999
   and nod_spec_id = (select spc_id
                        from tctg_spc_specification
                       where spc_name = attribute_name
                         and spc_company_id = ${COMPANY_ID});

select 'LIST OF SKUS WE DID NOT FIND' from dual;

select distinct sku
  from item_attrs
 where sku not in (select itm_primary_key
                     from tctg_itm_item
                    where itm_container_id = ${CATALOG_ID}
                      and itm_company_id = ${COMPANY_ID}
                      and itm_next_version_id = 999999999);

select 'INSERTING CATEGORY SPECIFIC ATTRIBUTES FOR ITEMS' from dual;

insert into tctg_ita_item_attributes
select distinct
       ${COMPANY_ID},
       ${CATALOG_ID},
       item_id,
       node_id,
       'STRING',
       null,
       attr_value,
       null,
       seq,
       999999999
  from item_node_value_map,
       tmp_seq;


set define &;

drop table cat_name_attr_map;
drop table item_attrs;
drop table cat_id_spec_id_map;
drop table tmp_seq;
drop table item_node_value_map;

EOF


