!#/bin/bash


# 
# # Copyright (c) 2000, 2004 IBM Corp. - All Rights Reserved.
# # IBM makes no representations or warranties about the suitability of
# # this program, either express or implied, including but not limited to
# # the implied warranties of merchantability, fitness for a particular
# # purpose, or non-infringement. 
# 
#


INPUT_FILE=${1}

DB_CONNECTION=${2}

COMPANY_ID=${3}

CATALOG_ID=${4}

${ECHO} "drop table tmp_rel;" > load_relationships.sql
${ECHO} "create table tmp_rel (sku1 varchar2(30), id1 number, type varchar2(30), rank number, sku2 varchar2(30), id2 number); " >> load_relationships.sql

cat ${INPUT_FILE} | ${AWK} '{print "insert into tmp_rel values (" $1 ", null," $2 "," $3 "," $4 ", null);" }' | ${SED} "s/\([0-9A-Z][0-9A-Z]*\),/'\1',/g" >> load_relationships.sql

${CCD_SQLPLUS} ${DB_CONNECTION} <<EOF

start load_relationships.sql;

update tmp_rel set type = 'CROSS' where type = 'C';
update tmp_rel set type = 'UP' where type = 'U';
update tmp_rel set type = 'REQUIRES' where type = 'M';

update tmp_rel
   set id1 =
       (select itm_id
          from tctg_itm_item
         where itm_primary_key = sku1
           and itm_container_id  = ${CATALOG_ID}
           and itm_company_id = ${COMPANY_ID}
           and itm_next_version_id = 999999999);

update tmp_rel
   set id2 =
       (select itm_id
          from tctg_itm_item
         where itm_primary_key = sku2
           and itm_container_id  = ${CATALOG_ID}
           and itm_company_id = ${COMPANY_ID}
           and itm_next_version_id = 999999999);

select 'source not found for -----' from dual;

select *
  from tmp_rel
 where id1 is null;

select 'destination not found for -----' from dual;

select *
  from tmp_rel
 where id2 is null;



create table tmp_rel_2 (name varchar2(100), type varchar2(30), id1 number);

insert into tmp_rel_2
select distinct
       'Auto_promo_to_' || type || '_' || id1,
       type,
       id1
  from tmp_rel
 where id1 is not null
   and id2 is not null;


insert into tctg_pro_promotion
select ${COMPANY_ID},
       qctg_pro_promotion_id.nextval,
       name,
       type,
       '',
       '',
       '',
       '',
       '',
       '',
       ${CATALOG_ID},
       '-1',
       id1,
       '-1',
       '0',
       'T'
  from tmp_rel_2;

insert into tctg_pmt_promotion_type
select pro_company_id,
       pro_promotion_id, '', ''
  from pro
 where pro_company_id = ${COMPANY_ID};

insert into tctg_pms_promotion_selection
select ${COMPANY_ID},
       pro_promotion_id,
       pro_promotion_name,
       id2,
       '',
       rank
  from tmp_rel, pro
 where pro_selection_id = id1
   and pro_promotion_name = 'Auto_promo_to_' || type || '_' || id1
   and id1 is not null
   and id2 is not null;

drop table tmp_rel;
drop table tmp_rel_2;

EOF

${RM} load_relationships.sql

# IBM Confidential
# OCO Source Materials
# 5724-V51
#
# (c) Copyright IBM Corp. 2000, 2008 All Rights Reserved.
#
# The source code for this program is not published or otherwise
# divested of its trade secrets, irrespective of what has been
# deposited with the U.S. Copyright Office.
