-- {COPYRIGHT-TOP} ------------------------------------------------
-- IBM Confidential
-- OCO Source Materials
-- 5724-V51
--
--  Copyright IBM Corp. 2000, 2008 All Rights Reserved.
--
-- The source code for this program is not published or otherwise
-- divested of its trade secrets, irrespective of what has been
-- deposited with the U.S. Copyright Office.
-- {COPYRIGHT-END} ------------------------------------------------


-- ===================================================================
--
-- Table taud_alo_audit_log
--
-- Contains the Audit Logs for specific events
-- ===================================================================

drop table taud_alo_audit_log cascade constraints;
create table taud_alo_audit_log
( 
    alo_id                        number(9, 0),
    alo_company_id                number(9, 0),
    alo_event_name                varchar2(100),
    alo_timestamp                 date,
    alo_user_id                   number(9, 0),
    alo_description               varchar2(4000)
) 
tablespace users;


drop synonym alo;
create synonym alo for taud_alo_audit_log;

drop sequence qaud_alo_id;
create sequence qaud_alo_id start with 1 increment by 200 nocache;

drop index iaud_alo_0;
create index iaud_alo_0 on taud_alo_audit_log (
        alo_company_id,
        alo_event_name,
        alo_user_id,
        alo_timestamp
) tablespace indx  NOLOGGING;

commit;

-- ===================================================================
--
-- Table tctg_tss_template_search_sort
--
-- Contains sort parameters for a template for presetting in rich search UI.
-- ===================================================================

drop table tctg_tss_template_search_sort cascade constraints;
create table tctg_tss_template_search_sort
( 
    tss_company_id                number(9, 0),
    tss_catalog_id                number(9, 0),
    tss_template_id               number(9, 0),
    tss_user_id                   number(9, 0),
    tss_node_id                   number(9, 0),
    tss_sort_order                char
) 
tablespace users;


drop synonym tss;
create synonym tss for tctg_tss_template_search_sort;

drop index ictg_tss_0;
create index ictg_tss_0 on tctg_tss_template_search_sort (
        tss_company_id,
        tss_catalog_id,
        tss_template_id,
        tss_user_id
) tablespace indx  NOLOGGING;

commit;

-- ===================================================================
--
-- Table tctg_tsd_template_search_data
--
-- Contains search criteria for a template for presetting in rich search UI.
-- ===================================================================

drop table tctg_tsd_template_search_data cascade constraints;
create table tctg_tsd_template_search_data
( 
    tsd_company_id                number(9, 0),
    tsd_catalog_id                number(9, 0),
    tsd_template_id               number(9, 0),
    tsd_user_id                   number(9, 0),
    tsd_node_id                   number(9, 0),
    tsd_included                  char,
    tsd_override                  char,
    tsd_negated                   char,
    tsd_operator                  number(9, 0),
    tsd_value_1_type              char,
    tsd_value_1                   varchar2(1024),
    tsd_value_2                   varchar2(1024)
) 
tablespace users;


drop synonym tsd;
create synonym tsd for tctg_tsd_template_search_data;

drop index ictg_tsd_0;
create index ictg_tsd_0 on tctg_tsd_template_search_data (
        tsd_company_id,
        tsd_catalog_id,
        tsd_template_id,
        tsd_user_id
) tablespace indx  NOLOGGING;

commit;



-- ===================================================================
--
-- Table tldr_dat_data_table
--
-- Contains the data generated from iis
-- ===================================================================

drop table tldr_dat_data_table cascade constraints;
create table tldr_dat_data_table
(
    dat_job_id                    number(9, 0),
    dat_record_id                 number(9, 0),
    dat_name                      varchar2(256),
    dat_value                     varchar2(256)
)
tablespace users;


drop synonym dat;
create synonym dat for tldr_dat_data_table;

commit;

-- ===================================================================
--
-- Table tldr_stt_status_table
--
-- Contains the data generated from iis
-- ===================================================================

drop table tldr_stt_status_table cascade constraints;
create table tldr_stt_status_table
(
    stt_job_id                    number(9, 0),
    stt_record_id                 number(9, 0),
    stt_status                    varchar2(256),
    stt_timestamp                 date
)
tablespace users;


drop synonym stt;
create synonym stt for tldr_stt_status_table;

commit;


