-- {COPYRIGHT-TOP} ------------------------------------------------
-- IBM Confidential
-- OCO Source Materials
-- 5724-V51
--
--  Copyright IBM Corp. 2000, 2008 All Rights Reserved.
--
-- The source code for this program is not published or otherwise
-- divested of its trade secrets, irrespective of what has been
-- deposited with the U.S. Copyright Office.
-- {COPYRIGHT-END} ------------------------------------------------


--		       picked up

-- ====================================================================
-- Module: Personalization
-- Abbreviation: per
-- Description
-- This populates the information about personalization modules
-- ====================================================================

-- Each module will have 4 defined features in the database:
--   mdl_module_name  :- A String representing the name by which the module will be referred to
--   mdl_width        :- A Character, either 'N' for Narrow or 'W' for Wide, representing whether 
--                       the module output shall occupy half the width of the screen, or will 
--                       need the entire screen width 
--   mdl_customizable :- A character, either 'Y' for Yes or 'N' for No, representing whether 
--                       the module will be customizable further by the user
--   mdl_class_name   :- The name of the class (if not in the general location, include full package
--                       path) for the module that implements this general interface


-- ====================================================================
-- Recreate The Module Definitions
-- ====================================================================
delete from tper_mdl_modules;

insert into tper_mdl_modules values (qper_mdl_module_id.nextval, 'Company Activity History', 'W', 'Y', 'com.ibm.ccd.common.per.modules.CompanyActivityHistory');
insert into tper_mdl_modules values (qper_mdl_module_id.nextval, 'Alerts Module', 'W', 'N', 'com.ibm.ccd.common.per.modules.AlertsModule');
insert into tper_mdl_modules values (qper_mdl_module_id.nextval, 'Approval Module', 'W', 'N', 'com.ibm.ccd.common.per.modules.ApprovalModule');

-- insert into tper_mdl_modules values (qper_mdl_module_id.nextval, 'Sample Module One', 'W', 'Y', 'com.ibm.ccd.customization.samples2.SampleModuleOne');
-- insert into tper_mdl_modules values (qper_mdl_module_id.nextval, 'PO Status By MarketPlace Chart', 'N', 'Y', 'com.ibm.ccd.common.per.modules.POChart');
-- insert into tper_mdl_modules values (qper_mdl_module_id.nextval, 'Order Volume By MarketPlace Chart', 'N', 'Y', 'com.ibm.ccd.common.per.modules.OVChart');
-- insert into tper_mdl_modules values (qper_mdl_module_id.nextval, 'Order Aggregate By MarketPlace Chart', 'N', 'Y', 'com.ibm.ccd.common.per.modules.OAChart');
-- insert into tper_mdl_modules values (qper_mdl_module_id.nextval, 'WorkFlow Instance', 'W', 'N', 'com.ibm.ccd.common.per.modules.WorkFlowModule');
-- insert into tper_mdl_modules values (qper_mdl_module_id.nextval, 'Initiated Workflow Instances', 'W', 'N', 'com.ibm.ccd.workflow.common.InitiatedWflInstances');
-- insert into tper_mdl_modules values (qper_mdl_module_id.nextval, 'Actionable Workflow Instances', 'W', 'N', 'com.ibm.ccd.workflow.common.ActionableWflInstances');


-- ====================================================================
-- Recreate The Default Page
-- ====================================================================
delete from tper_pag_pages where pag_page_id = -1;
delete from tper_prf_preferences where prf_page_id = -1;

insert into tper_pag_pages values (-2, 0, -1, 'My Page');
insert into tper_prf_preferences values (-2, qper_prf_instance_id.nextval, -1, (select mdl_module_id from tper_mdl_modules where mdl_module_name = 'Company Activity History'), 0, 0);

commit;
