-- {COPYRIGHT-TOP} ------------------------------------------------
-- IBM Confidential
-- OCO Source Materials
-- 5724-V51
--
--  Copyright IBM Corp. 2000, 2008 All Rights Reserved.
--
-- The source code for this program is not published or otherwise
-- divested of its trade secrets, irrespective of what has been
-- deposited with the U.S. Copyright Office.
-- {COPYRIGHT-END} ------------------------------------------------


--		       picked up

-- ====================================================================
-- Module: Page Customization
-- Abbreviation: pgc
-- Description:
-- This populates the information about page customization modules
-- ====================================================================

-- Each module will have 6 defined features in the database:
--   mod_company_id   : The id of the company the module is associated with (-1 if it is not company-specific)
--   mod_module_id    : The id of the module, for use in the pfr_preferences table that associates modules 
--                      with pages
--   mod_module_name  : A String representing the name by which the module will be referred to
--   mod_width        : A Character, either 'N' for Narrow or 'W' for Wide, representing whether the module 
--                      output shall occupy half the width of the screen, or will need the entire screen width
--   mod_customizable : A character, either 'Y' for Yes or 'N' for No, representing whether the module will be 
--                      customizable further by the user
--   mod_class_name   : The name of the class (if not in the general location, include full package path) for
--                      the module that implements this general interface

-- ====================================================================
-- Recreate The Module Definitions
-- ====================================================================
delete from tpgc_mod_module;

insert into tpgc_mod_module values (-1, qpgc_mod_module_id.nextval, 'Sample Module One', 'W', 'Y', 'com.ibm.ccd.customization.samples2.SampleModuleOne');

-- WARNING!  IF YOU CHANGE OR ADD MODULE ID'S IN THIS FILE, IT MAY AFFECT DML_ORG_ORGANIZATION.SQL IN THE ACME DIRECTORY.
-- MAKE SURE YOU ASSOCIATE THE CORRECT MODULES WITH THE CORRECT PAGES WHEN CREATING PREFERENCES WITH USING CREATE_ACME.SH.

commit;


