-- Licensed Materials - Property of IBM
-- 5724-I68
--
--  Copyright IBM Corp. 2000, 2007 
--
-- US Government Users Restricted Rights - Use, duplication, or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.


-- ===================================================================
--
-- Table taud_alo_audit_log
--
-- Contains the Audit Logs for specific events
-- ===================================================================

drop table taud_alo_audit_log cascade constraints;
create table taud_alo_audit_log
( 
    alo_id                        number(9, 0),
    alo_company_id                number(9, 0),
    alo_event_name                varchar2(100),
    alo_timestamp                 date,
    alo_user_id                   number(9, 0),
    alo_description               varchar2(4000)
) 
tablespace users;


drop synonym alo;
create synonym alo for taud_alo_audit_log;

drop sequence qaud_alo_id;
create sequence qaud_alo_id start with 1 increment by 200 nocache;




