-- Licensed Materials - Property of IBM
-- 5724-I68
--
--  Copyright IBM Corp. 2000, 2007 
--
-- US Government Users Restricted Rights - Use, duplication, or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.


-- ===================================================================
--
-- Table torg_iom_item_organization_map
--
-- Creates the mapping between organizations and their associated items.
-- ===================================================================

drop table torg_iom_item_organization_map cascade constraints;
create table torg_iom_item_organization_map
( 
    iom_company_id                number(9),
    iom_item_id                   number(9, 0),
    iom_catalog_id                number(9, 0),
    iom_organization_id           number(9, 0),
    iom_organization_tree_id      number(9, 0)
) 
tablespace users;


drop synonym iom;
create synonym iom for torg_iom_item_organization_map;

-- ===================================================================
--
-- Table torg_com_category_org_map
--
-- Creates the mapping between organizations and their associated items.
-- ===================================================================

drop table torg_com_category_org_map cascade constraints;
create table torg_com_category_org_map
( 
    com_company_id                number(9),
    com_category_id               number(9, 0),
    com_category_tree_id          number(9, 0),
    com_organization_id           number(9, 0),
    com_organization_tree_id      number(9, 0)
) 
tablespace users;


drop synonym com;
create synonym com for torg_com_category_org_map;




