#!/bin/bash
# IBM Confidential
# OCO Source Materials
# 5724-V51
#
# (c) Copyright IBM Corp. 2000, 2008 All Rights Reserved.
#
# The source code for this program is not published or otherwise
# divested of its trade secrets, irrespective of what has been
# deposited with the U.S. Copyright Office.
CMP_CODE=$1

${ECHO} ====================================================
${ECHO} Updating 'Default' organization for the users of company $CMP_CODE
${ECHO} ====================================================

. ${TOP}/bin/get_params.sh

cd ${DB_ROOT_DIR}/schema

if [ "${_CCD_DB_USER_NAME}" = "" ]; then
    DB_USER_NAME=`${GREP} '^ *db_userName' ${CCD_ETC_DIR}/default/common.properties | cut -f2 -d "="`
else
    DB_USER_NAME=${_CCD_DB_USER_NAME}
fi

if [ "${_CCD_DB_USER_PWD}" = "" ]; then
    DB_USER_PWD=`${GREP} '^ *db_password' ${CCD_ETC_DIR}/default/common.properties | cut -f2 -d "="`
else
    DB_USER_PWD=${_CCD_DB_USER_PWD}
fi

if [ "${_CCD_DB_SERVICE_NAME}" = "" ]; then
    DB_SERVICE_NAME=`${GREP} '^ *db_url' ${CCD_ETC_DIR}/default/common.properties | ${SED} 's/^.*:\([^:]*\) *$/\1/'`
else
    DB_SERVICE_NAME=${_CCD_DB_SERVICE_NAME}
fi

#CONNECTION=${DB_USER_NAME}/${DB_USER_PWD}@${DB_SERVICE_NAME}
if [ "$CCD_DB" = "oracle" ]; then
    CONNECTION="${DB_USER_NAME}/${DB_USER_PWD}@${DB_SERVICE_NAME}"
elif [ "$CCD_DB" = "db2" ]; then
    CONNECTION="CONNECT TO ${DB_SERVICE_NAME} USER ${DB_USER_NAME} USING ${DB_USER_PWD};"
else
    ${ECHO} "!! Environment not set for any database"
    exit
fi


#   a) Run the program:
#${CAT} $TOP/src/db/scripts/common/import/define_default_org.script

$JAVA_RT com.ibm.ccd.common.interpreter.test.TestScript --companycode="$CMP_CODE" --scriptpath=$TOP/src/db/scripts/common/import/define_default_org.script


#   b) Migrate the customer data into org tables



${TOUCH} tempcreatedeforg.sql

${CAT} $DB_CMN_SCRIPTS/create_default_org.sql | ${SED} "s/%CMP_CODE%/$CMP_CODE/g" > tempcreatedeforg.sql

#${CAT} tempcreatedeforg.sql

#${CCD_SQLPLUS} ${CONNECTION} <<EOF
#${DB_SQLFILE_EXECUTE} tempcreatedeforg.sql
#EOF
. ${DB_DIR}/util/run_db_cmd.sh --file=tempcreatedeforg.sql

${RM} tempcreatedeforg.sql

