#!/bin/bash
# IBM Confidential
# OCO Source Materials
# 5724-V51
#
# (c) Copyright IBM Corp. 2000, 2008 All Rights Reserved.
#
# The source code for this program is not published or otherwise
# divested of its trade secrets, irrespective of what has been
# deposited with the U.S. Copyright Office.

# usage:
#   create_trigo_user.sh [--db_user_name=<user name>] [--db_user_pwd=<password>] [--db_service_name=<service name>] [--confirm=yes|no]

. ${TOP}/bin/get_params.sh

if [ "$_CCD_CONFIRM_DB" != "no" ]; then
    CONFIRM="--confirm_msg=!!_This_user_will_be_deleted_if_it_already_exists."
else
    CONFIRM="--confirm_db=no --db_output=no"
fi
. ${TOP}/src/db/schema/util/set_db.sh \
    $CONFIRM\
    --db_user_name=${_CCD_DB_USER_NAME} \
    --db_user_pwd=${_CCD_DB_USER_PWD} \
    --db_service_name=${_CCD_DB_SERVICE_NAME}

# replace the username/password here with
# a db user that can grand the following privileges
${CCD_SQLPLUS} useradmin/useradmin@${DB_SERVICE_NAME} <<EOF

drop user ${DB_USER_NAME} cascade;
create user ${DB_USER_NAME} identified by ${DB_USER_PWD}
default tablespace users
temporary tablespace temp;

grant unlimited tablespace to ${DB_USER_NAME};
grant connect to ${DB_USER_NAME};
grant resource to ${DB_USER_NAME};
grant query rewrite to ${DB_USER_NAME};
grant select any table to ${DB_USER_NAME};
grant create synonym to ${DB_USER_NAME};

EOF
