#!/bin/bash
# IBM Confidential
# OCO Source Materials
# 5724-V51
#
# (c) Copyright IBM Corp. 2000, 2008 All Rights Reserved.
#
# The source code for this program is not published or otherwise
# divested of its trade secrets, irrespective of what has been
# deposited with the U.S. Copyright Office.
. ${TOP}/src/db/schema/util/set_db.sh

${ECHO} 
${ECHO} ====================================================
${ECHO} Dropping temp tables used in aggregation
${ECHO} ====================================================
${ECHO} 

#                     Statements

#TEMP_AGG_TABLES=`${CCD_SQLPLUS} ${CONNECTION} << EOF | ${GREP} 'TCTG' 
#${DB_SQLFILE_EXECUTE} $DB_SCRIPTS/drop_temp_agg_tables.sql
#EOF`

TEMP_AGG_TABLES=`. ${DB_DIR}/util/run_db_cmd.sh --file=$DB_SCRIPTS/drop_temp_agg_tables.sql |  ${GREP} 'TCTG'`

TEMP_TABLES="${TEMP_AGG_TABLES}"

${RM} temp.sql
${TOUCH} temp.sql

for i in $TEMP_TABLES
do
TABLE_NAME=`${ECHO} $i | ${GREP} 'TCTG' | ${GREP} -v '%'`
	if [ ! -z $TABLE_NAME ]; then
		EXEC_LINE="drop table $TABLE_NAME;"
		${ECHO} $EXEC_LINE >> temp.sql
	fi
done

${ECHO} "commit;" >> temp.sql

#${CCD_SQLPLUS} ${CONNECTION} <<EOF
#${DB_SQLFILE_EXECUTE} temp.sql
#EOF

. ${DB_DIR}/util/run_db_cmd.sh --file=temp.sql --errorfilter=yes

${RM} temp.sql
