#!/bin/bash
# IBM Confidential
# OCO Source Materials
# 5724-V51
#
# (c) Copyright IBM Corp. 2000, 2008 All Rights Reserved.
#
# The source code for this program is not published or otherwise
# divested of its trade secrets, irrespective of what has been
# deposited with the U.S. Copyright Office.
# set up CONNECTION variable
. $DB_DIR/util/set_db.sh

OUTPUT_FILE=$TOP/logs/purge.log
TMP_FILE=$TOP/logs/purge.log.tmp

DB_USER=`${ECHO} ${DB_USER_NAME} | ${TR} "[:lower:]" "[:upper:]"`

PURGE_DATA_BEFORE_DAYS=30
if [[($1 != null && $1 > 0)]]; then
    PURGE_DATA_BEFORE_DAYS=$1
fi

cd $DB_DIR/util;

echo '========================================================'
echo '== Dropping indexes from profile tables'
echo '========================================================'

dropIndexesFile="tmpDropIndexes.sql"

${GREP} 'drop index' $DB_DIR/gen/idx_pfm_performance.sql > $dropIndexesFile

${CCD_SQLPLUS} ${CONNECTION} <<EOF 2>&1
set pagesize 0;
set linesize 200;
@$dropIndexesFile;
commit;
EOF

$RM $dropIndexesFile

cd $TMP_DIR

STATEMENT=`cat <<EOF

delete from TPFM_PPR_PROFILE 
where ppr_start_time <= (select max(ppr_start_time)-(24*60*60*1000*$PURGE_DATA_BEFORE_DAYS) from TPFM_PPR_PROFILE);

commit;

delete from TPFM_PPI_PROFILE_INFO 
where ppi_start_time <= (select max(ppi_start_time)-(24*60*60*1000*$PURGE_DATA_BEFORE_DAYS) from TPFM_PPI_PROFILE_INFO);

commit;

EOF`


${CCD_SQLPLUS} ${CONNECTION} <<EOF
$STATEMENT
EOF

echo '========================================================'
echo '== Re-creating indexes on profile tables'
echo '========================================================'

${CCD_SQLPLUS} ${CONNECTION} <<EOF 2>&1
set pagesize 0;
set linesize 200;
@$DB_DIR/gen/idx_pfm_performance.sql;
commit;
EOF

${ECHO} ====================================================
${ECHO} Analyzing the schema
${ECHO} ====================================================
cd ${TOP}/src/db/schema/util
./analyze_schema.sh --confirm_db=no
