#!/bin/bash
# IBM Confidential
# OCO Source Materials
# 5724-V51
#
# (c) Copyright IBM Corp. 2000, 2008 All Rights Reserved.
#
# The source code for this program is not published or otherwise
# divested of its trade secrets, irrespective of what has been
# deposited with the U.S. Copyright Office.
# set up CONNECTION variable
. $DB_DIR/util/set_db.sh

OUTPUT_FILE=$TOP/logs/purge.log
TMP_FILE=$TOP/logs/purge.log.tmp

DB_USER=`${ECHO} ${DB_USER_NAME} | ${TR} "[:lower:]" "[:upper:]"`

PURGE_DATA_BEFORE_DAYS=30
if [[($1 != null && $1 > 0)]]; then
    PURGE_DATA_BEFORE_DAYS=$1
fi


cd $TMP_DIR

STATEMENT=`cat <<EOF
delete from TPFM_PPR_PROFILE 
where ppr_profile_id in 
(select ppr_profile_id from TPFM_PPR_PROFILE 
where ppr_name like 'Page::%' AND ppr_start_time <= 
(select max(ppr_start_time)-(24*60*60*1000*$PURGE_DATA_BEFORE_DAYS)
from TPFM_PPR_PROFILE where ppr_name like 'Page::%'));

commit;

delete from TPFM_PPI_PROFILE_INFO 
where ppi_profile_name like 'Page::%' 
AND ppi_start_time <= (select max(ppi_start_time)-(24*60*60*1000*$PURGE_DATA_BEFORE_DAYS) 
from TPFM_PPI_PROFILE_INFO where ppi_profile_name like 'Page::%');

commit;

delete from TPFM_PPR_PROFILE 
where ppr_profile_id in 
(select ppr_profile_id from TPFM_PPR_PROFILE 
where ppr_name not like 'Page::%' 
AND ppr_start_time <= (select max(ppr_start_time)-(24*60*60*1000*$PURGE_DATA_BEFORE_DAYS) 
from TPFM_PPR_PROFILE where ppr_name not like 'Page::%'));

commit;

delete from TPFM_PPI_PROFILE_INFO 
where ppi_profile_name not like 'Page::%' 
AND ppi_start_time <= (select max(ppi_start_time)-(24*60*60*1000*$PURGE_DATA_BEFORE_DAYS) 
from TPFM_PPI_PROFILE_INFO where ppi_profile_name not like 'Page::%');

commit;
EOF`

${ECHO} "---------------------"
${ECHO} "executing:"
${ECHO} "$STATEMENT"
${ECHO} "---------------------"

${CCD_SQLPLUS} ${CONNECTION} <<EOF
$STATEMENT
EOF
