#!/bin/bash
# IBM Confidential
# OCO Source Materials
# 5724-V51
#
# (c) Copyright IBM Corp. 2000, 2008 All Rights Reserved.
#
# The source code for this program is not published or otherwise
# divested of its trade secrets, irrespective of what has been
# deposited with the U.S. Copyright Office.
. ${TOP}/src/db/schema/util/set_db.sh

# finds the maximum itm_id for a company id 
# finds the minimum itm_id for a company id 


# Set Query Strings


# put sql here for tables that do not have a cmp_id, using &CMP_ID




# delete from ita, icm, itm first

# to make it go faster, drop the indices on the ita table and create a different one on just item_id and company_id




${TOUCH} tempgetmaxitmid.sql
${TOUCH} tempgetminitmid.sql

${CAT} $DB_SCRIPTS/get_max_itm_id.sql | ${SED} "s/%CMP_ID%/$CMP_ID/g" > tempgetmaxitmid.sql
${CAT} $DB_SCRIPTS/get_min_itm_id.sql | ${SED} "s/%CMP_ID%/$CMP_ID/g" > tempgetminitmid.sql


# now delete the other tables


# Getting max/min values  for a TRIGO CODE

#MAX_ITEM_ID_QRY=`${CCD_SQLPLUS} ${CONNECTION} <<EOF 2>&1 | ${GREP} 'maxitemid-' | ${GREP} -v 'MAX_ITEM_ID'
#${DB_SQLFILE_EXECUTE} tempgetmaxitmid.sql
#EOF`

#pvedul -- adding run_db_cmd.sh
MAX_ITEM_ID_QRY=`. $DB_DIR/util/run_db_cmd.sh --file=tempgetmaxitmid.sql | ${GREP} 'maxitemid-' | ${GREP} -v 'MAX_ITEM_ID'`


#${CCD_SQLPLUS} ${CONNECTION} <<EOF 2>&1 | ${GREP} 'maxitemid-'
#${DB_SQLFILE_EXECUTE} tempgetmaxitmid.sql
#EOF

MAX_ITEM_ID_QRY_VAL="${MAX_ITEM_ID_QRY}"

MAX_ITM_ID=`${ECHO} $MAX_ITEM_ID_QRY_VAL | ${GREP} 'maxitemid-' | cut -f2 -d "-" | cut -f1 -d " "`

#for i in $MAX_ITEM_ID_QRY_VAL
#do
#	MAX_ITM_ID=`${ECHO} $i | ${GREP} 'maxitemid-' | cut -f2 -d "-"`	
#done

#MIN_ITEM_ID_QRY=`${CCD_SQLPLUS} ${CONNECTION} <<EOF 2>&1 | ${GREP} 'minitemid-' | ${GREP} -v 'MIN_ITEM_ID'
#${DB_SQLFILE_EXECUTE} tempgetminitmid.sql
#EOF`

#pvedul -- adding run_db_cmd.sh
MIN_ITEM_ID_QRY=`. $DB_DIR/util/run_db_cmd.sh --file=tempgetminitmid.sql | ${GREP} 'minitemid-' | ${GREP} -v 'MIN_ITEM_ID'`

#${CCD_SQLPLUS} ${CONNECTION} <<EOF 2>&1 | ${GREP} 'minitemid-'
#${DB_SQLFILE_EXECUTE} tempgetminitmid.sql
#EOF

MIN_ITEM_ID_QRY_VAL="${MIN_ITEM_ID_QRY}"

MIN_ITM_ID=`${ECHO} $MIN_ITEM_ID_QRY_VAL | ${GREP} 'minitemid-' | cut -f2 -d "-" | cut -f1 -d " "`	


#for i in $MIN_ITEM_ID_QRY_VAL
#do
#	MIN_ITM_ID=`${ECHO} $i | ${GREP} 'minitemid-' | cut -f2 -d "-"`	
#done

#${ECHO} "Maximum Item ID : $MAX_ITM_ID"
#${ECHO} "Minimum Item ID : $MIN_ITM_ID"


${RM} tempgetmaxitmid.sql
${RM} tempgetminitmid.sql


