#!/bin/bash
# IBM Confidential
# OCO Source Materials
# 5724-V51
#
# (c) Copyright IBM Corp. 2000, 2008 All Rights Reserved.
#
# The source code for this program is not published or otherwise
# divested of its trade secrets, irrespective of what has been
# deposited with the U.S. Copyright Office.

. ${TOP}/bin/get_params.sh

cd ${DB_ROOT_DIR}/schema

if [ "${_CCD_DB_USER_NAME}" = "" ]; then
    DB_USER_NAME=`${GREP} '^ *db_userName' ${CCD_ETC_DIR}/default/common.properties | cut -f2 -d "="`
else
    DB_USER_NAME=${_CCD_DB_USER_NAME}
fi

if [ "${_CCD_DB_USER_PWD}" = "" ]; then
    DB_USER_PWD=`${GREP} '^ *db_password' ${CCD_ETC_DIR}/default/common.properties | cut -f2 -d "="`
else
    DB_USER_PWD=${_CCD_DB_USER_PWD}
fi


if [ "${_CCD_DB_SERVICE_NAME}" = "" ]; then
    DB_SERVICE_NAME=`${GREP} '^ *db_url' ${CCD_ETC_DIR}/default/common.properties | ${SED} -e 's/^.*:\([^:]*\) *$/\1/'  -e 's/[0-9]*//' -e s_/__ -e 's/@//'` 

else
    DB_SERVICE_NAME=${_CCD_DB_SERVICE_NAME}
fi

if [ ! "${_CCD_DB_OUTPUT}" = "no" ]; then
    ${ECHO}	
    ${ECHO} ====================================================
    ${ECHO} Setting up database connection
    ${ECHO} ====================================================

    ${ECHO} database username:     ${DB_USER_NAME}
    ${ECHO} database user passwd:  ${DB_USER_PWD}
    ${ECHO} database service name: ${DB_SERVICE_NAME}
fi

#                    
if [ "$CCD_DB" = "oracle" ]; then
    CONNECTION=${DB_USER_NAME}/${DB_USER_PWD}@${DB_SERVICE_NAME}
elif [ "$CCD_DB" = "db2" ]; then
    CONNECTION="CONNECT TO ${DB_SERVICE_NAME} USER ${DB_USER_NAME} USING ${DB_USER_PWD};"
else 
    ${ECHO} "!! Environment not set for any database"
    exit
fi

if [ ! "${_CCD_CONFIRM_DB}" = "no" ]; then
   ${ECHO}
   if [ ! "${_CCD_CONFIRM_MSG}" = "" ]; then
      ${ECHO} "${_CCD_CONFIRM_MSG}"|${SED} -e "s/_/ /g"
   fi
   ${ECHO} "!! do you want to continue ? (y/n) "
   read res
   if [ ! "$res" = "y" ]; then
       ${ECHO} "!! exiting"
       exit
   fi
fi

