#!/usr/bin/ksh

##### {COPYRIGHT-TOP} ##############################################
# IBM Confidential
# OCO Source Materials
# 5724-V51
#
# (c) Copyright IBM Corp. 2000, 2008 All Rights Reserved.
#
# The source code for this program is not published or otherwise
# divested of its trade secrets, irrespective of what has been
# deposited with the U.S. Copyright Office.
##### {COPYRIGHT-END} ##############################################

# usage: change_BigToInt.sh --backupdir=<dirPath>

usage="change_BigToInt.sh --backupdir=<dirPath>"
if [ $# -ne 1 ]; then
    echo
    echo "USAGE: $usage"
    echo "EXAMPLE: change_BigToInt.sh --backupdir=/u01/backup/jul10"
    echo
    exit
fi

DUMPDIR=`echo $1 |cut -d "=" -f2`;export DUMPDIR
cd ${DUMPDIR}

if [[ ! -s db2look.sql ]] 
then
  echo "db2look.sql does not exist in backupdir"
  exit 0
fi

sed -e "s/BIGINT/INTEGER/g" db2look.sql > tempdb2look.sql
sed -e "s/\"ITM_LAST_MODIFIED\"[ ]*INTEGER/\"ITM_LAST_MODIFIED\" BIGINT/g" tempdb2look.sql > db2look.sql
sed -e "s/\"CAT_LAST_MODIFIED\"[ ]*INTEGER/\"CAT_LAST_MODIFIED\" BIGINT/g"  db2look.sql > tempdb2look.sql
sed -e "s/\"SEQ_INCREMENT\"[ ]*INTEGER/\"SEQ_INCREMENT\" BIGINT/g" tempdb2look.sql > db2look.sql
sed -e "s/\"SEQ_VALUE\"[ ]*INTEGER/\"SEQ_VALUE\" BIGINT/g" db2look.sql > tempdb2look.sql
sed -e "s/\"PPR_START_TIME\"[ ]*INTEGER/\"PPR_START_TIME\" BIGINT/g" tempdb2look.sql > db2look.sql
sed -e "s/\"PPR_INDEX\"[ ]*INTEGER/\"PPR_INDEX\" BIGINT/g" db2look.sql > tempdb2look.sql
sed -e "s/\"STD_DEADLINE_DURATION\"[ ]*INTEGER/\"STD_DEADLINE_DURATION\" BIGINT/g" tempdb2look.sql > db2look.sql
sed -e "s/\"PPI_START_TIME\"[ ]*INTEGER/\"PPI_START_TIME\" BIGINT/g" db2look.sql > tempdb2look.sql
sed -e "s/\"COA_DEADLINE_DURATION\"[ ]*INTEGER/\"COA_DEADLINE_DURATION\" BIGINT/g" tempdb2look.sql > db2look.sql

rm -f tempdb2look.sql